Subject: Re: What's cooking in git.git (Jul 2021, #02; Thu, 8)

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Jul 2021 11:15:11 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> * ab/serve-cleanup (2021-06-28) 8 commits
>>  - upload-pack.c: convert to new serve.c "startup" config cb
>> ...
> I have a re-roll of this queued locally. It seemed people were on the
> fence about the whole "startup config" thing so I initially planned to
> just drop it, but then I started fixing some other related serve.c code
> and found a good/better use for it, so maybe I'll keep it. Will post it
> soon.
>
> FWIW Han-Wen's "let's rename the serve() function" suggestion sent me on
> an Odyssey of discovering various unused/overly-complex-for-no-reason
> code around protcol v1/v2 that I think we should just clean up...

I do not think the startup config thing got much traction, either,
but in any case did I miss an update for this one?

Thanks.